#!/bin/bash

# /usr/bin/easyvdr-config-ff.sh
#
# Dieses Skript konfiguriert easyVDR 0.5.x fuer den FF Betrieb
#
# Autor: Wicky
#
# 28.3.08 v0.0.2 START_X="no" in sysconfig eingefügt
#

version="0.0.2"


VDRSETUPXML="/etc/vdr/plugins/setup/vdr-setup.xml"
SYSCONFIG="/etc/vdr/sysconfig"
vdr_running="false"
SETUPCONF="/etc/vdr/setup.conf"
force="false"

# function lib einbinden. 
. /usr/bin/easyvdr/functions/easyvdr_functions
. /usr/bin/easyvdr/functions/easyvdr_var_names
. $FolderAndFilenameForSysconfig

function usage ()
{
        echo ""
        echo "Dies ist easyvdr-config-ff Version $version"
        echo ""
        echo "Optionen:"
        echo "        -f       Deaktivert die Hardwareerkennung"
        echo ""
}

# read script parameter
while [ $# -gt 0 ]; do
        case $1 in
                --force|-f)		force="true"                                        
        				shift;;                
                *)			usage;
                        		exit;;
	esac
done

function stop_vdr() {
# Ggf. VDR beenden	
	if [ -e /var/run/Runvdr.pid ]; then
	    vdr_running="true"
	    stopvdr >/dev/null 2>/dev/null
      	fi

}

function chk_dmesg() {

    for arg in $@
    do
	if [ $(dmesg | grep -c $arg) -eq 0 ]; then
	    return 1
	fi
    done
    return 0
    
}




function main() {
	chk_dmesg av711
	if [ $? -eq 0 ] || [ "$force" = "true" ] ; then
		echo ""
		echo "***** easyVDR wird nun fuer eine  FF-Karte als Ausgabegeraet konfiguriert. *****"
		echo ""
		echo "---> Der VDR-Prozess wird falls notwendig beendet..."	
		stop_vdr
		sleep 2
		stop_vdr
		sleep 2
		echo ""		
		echo "---> Alle Video-Ausgabe-Plugins werden deaktiviert..."
		DeactivatePlugin pvr350
		DeactivatePlugin em84xx
		DeactivatePlugin softdevice
		DeactivatePlugin xine
		DeactivatePlugin xineliboutput
		DeactivatePlugin dxr3		
		SetSysconfig START_X	no
		/etc/init.d/displaymanager stop >/dev/null 2>/dev/null
		echo ""
		echo "***** Die Konfiguration von easyVDR fuer den FF-Betrieb ist abgeschlossen *****"
		echo ""
		sleep 3		
		#Den VDR wieder starten, falls er gestartet war...
		if [ "x$vdr_running" = "xtrue" ]; then
			echo "Der VDR-Prozess wird gleich wieder gestartet ..."
			startvdr >/dev/null 2>/dev/null
		fi
	else
		echo "" 
		echo "Es wurde keine FF-Karte gefunden.."
		echo "" 
		echo "und daher auch keine Aenderungen vorgenommen."
		echo ""
	fi
}

main
